<bugID>1388095<Summary>Add an option to immediately restore tabs where the last history item received permissions (ex. Notifications)</Summary><Description>Right now we don't make a distinction between sites with or without permissions whilst restoring a session. This may mean that the user misses a potentially important website notification or other WebAPI delivered feature.
The idea is to add another pref very much like 'browser.sessionstore.restore_pinned_tabs_on_demand', controlling a new feature that integrates the permissions manager with the sessionstore component; once the current site in a browser has been granted a permission (like Push Notifications), it'll be stored in the same manner as docShell capabilities are currently.
A global flag for a tab will mirror the current state; if a relevant permission has been granted which should result in a tab restoring immediately upon session restore, it'll be set to `true`.
Upon session restore, the tabs with these flags set will be restored immediately _after_ an idle timeout/ callback.</Description></bugID>